# Sablotron Guide and Reference

SablotAddArgTree | Functions

#### Summary

Adds the pre-parsed tree as the named argument.

#### Syntax

    int SablotAddArgTree(SablotSituation S,
           void *processor_,
           const char *argName,
           SDOM_Document tree);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`processor_` | `void*` | Processor handle
`argName` | `const char*` | argument name
`tree` | `SDOM_Document` | tree handle

#### Description

This function adds the named pre-parsed tree to the list of arguments maintained by the processor instance. Named arguments may be used either while the processed data are specified (e.g. in `SablotRunProcessorGen` or in the document() XSLT function.

#### See Also

Groups | [ Functions ]
Entries | [ SDOM_Document | SablotAddArgBuffer | SablotRunProcessorGen | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC